Subject: Re: Detached checkout will clobber branch head when using symlink HEAD

From: Matt Draisey <[email-masked]>
Date: Thu, 16 Oct 2008 16:28:59 -0400

On Thu, 2008-10-16 at 16:20 -0400, Nicolas Pitre wrote:
> A symlink HEAD and detached checkouts are simply incompatible.

Not necessarily.  The symlinking code will unlink the original inode
each time it creates a new symlink anyway.  It is simply a matter of
creating a new file in its place.